Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.tracking.events
Class ClickCampaignEventValidator

    java.lang.Object
      com.bea.p13n.tracking.clickthrough.AbstractClickEventValidator
          com.bea.campaign.tracking.events.ClickCampaignEventValidator

All Implemented Interfaces
  ClickEventValidator

    public class ClickCampaignEventValidator

extends AbstractClickEventValidator

Field Summary

Fields inherited from class com.bea.p13n.tracking.clickthrough.AbstractClickEventValidator
`applicationName, documentId, documentType, exceptionFormatter, req, sessionId, userId`

Constructor Summary
`ClickCampaignEventValidator()` Ctor

Method Summary
`void` | `validateAndFire(javax.servlet.http.HttpServletRequest req)` Fires an event by extracting related information from the `HttpServletRequest`.

Methods inherited from class com.bea.p13n.tracking.clickthrough.AbstractClickEventValidator
`initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClickCampaignEventValidator

    public ClickCampaignEventValidator()

  Ctor

Method Detail

### validateAndFire

    public void validateAndFire(javax.servlet.http.HttpServletRequest req)
                         throws InvalidArgumentException

  Fires an event by extracting related information from the `HttpServletRequest`. Expects the caller to handle any invocation errors.

  Parameters
    `req` - The HttpServletRequest.
  Throws
    `InvalidArgumentException` - To signal problems while validating for and firing the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.